gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for containers that have two children separated by an adjustable pane.

This class provides methods for manipulating a panel with 2 child widgets, separated by a splitter. The concrete widgets that extend from this class are for a vertical splitter, and for a horizontal splitter.

A paned widget draws a separator between the two child widgets that the user can drag to adjust the division.

Each child widget has two options that can be set, and , (set with the and methods). If resize is , then when the Paned is resized, the respective child will expand or shrink along with the paned widget. If shrink is , then the respective child can be made smaller than it's requisition by the user. Setting shrink to allows the application to set a minimum size. If resize is for both children, then this exhibits exactly the same behaviour as if resize is for both children.

The application can set the position of the slider as if it were set by the user with the property.

`public Widget GetExampleFrame() { HPaned splitter = new HPaned(); Frame frame1 = new Frame("Example frame1"); Frame frame2 = new Frame("Example frame2"); splitter.Pack1(frame1, true, false); splitter.Pack2(frame2, false, false); splitter.ShowAll(); return splitter; }`

Gtk.Container Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void `` `` `` Packs a child widget into the second part of the Paned container, (the bottom or right panes). A widget for this container to manage. Whether this child should expand when the Paned widget is resized. Whether this child can be made smaller than its default size by the user.
- Method
  System.Void `` `` `` Packs a child widget into the first part of the Paned container, (the top or left panes). A widget for this container to manage. Whether this child should expand when the Paned widget is resized. Whether this child can be made smaller than its default size by the user.
- Method
  System.Void `` Adds a child widget into the second part of the Paned container, (the bottom or right panes), with default packing settings. A widget for this container to manage.

  This is the same as calling with resize set to and shrink set to .

- Method
  System.Void `` Adds a child widget into the first part of the Paned container, (the top or left panes), with default packing settings. A widget for this container to manage.

  This is the same as calling with resize set to and shrink set to .

- Method
  System.Void `` `` `` To be added A A A To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Paned, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gtk.Widget An accessor to the second child widget of this container The child widget added with or .
- Property
  Gtk.Widget An accessor to the first child widget of this container The child widget added with or .
- Property
  System.Int32 Manage the position of the splitter bar that separates the 2 child widgets. The number of pixels the splitter should appear from the left/top edge. The current position ofh
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added: an object of type 'bool'
- Event
  Gtk.CycleHandleFocusHandler Emitted when paned has the focus and one of the tab key combinations are pressed. This signal is emitted when paned has the focus and any of the Tab, Ctrl-Tab, Shift-Tab or Ctrl-Shift-Tab keys combinations are pressed. Tab and Ctrl-Tab set reversed to while Shift-Tab and Ctrl-Shift-Tab set reversed to .
- Event
  Gtk.MoveHandleHandler Emitted when paned has the focus and the separator is moved.
- Event
  Gtk.CancelPositionHandler Emitted when the Esc key is pressed while paned has the focus.
- Event
  Gtk.AcceptPositionHandler Emitted when the paned has focus This signal is emitted when paned has the focus and any of the Return, Enter, Space keys are pressed. This will also cause the child widget with the focus to be activated.
- Event
  Gtk.ToggleHandleFocusHandler Emitted when paned has the focus and F8 is pressed to give the focus to or take the focus from the separator handle.
- Event
  Gtk.CycleChildFocusHandler Emitted when F6 or Shift-F6 is pressed while paned has the focus.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Boolean `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean `` Default handler for the event. a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  Default constructor.
  a
- Property
  System.Int32 To be added a To be added
- Property
  System.Int32 To be added a To be added
- Method
  System.Boolean `` Test whether or not the child resizes with the parent a child of this if should be resized as the parent is resized
- Method
  System.Void `` `` Set whether or not the child resizes with the parent a child of this if should be resized as the parent is resized
- Method
  System.Boolean `` Test whether or not the child can be shrunk to less than its a child of this if the pane can be adjusted to make smaller than its
- Method
  System.Void `` `` Set whether or not the child can be shrunk to less than its a child of this if the pane can be adjusted to make smaller than its